=== debian/changelog ===
ros-ros (1.12.5-4) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 11:14:56 +0100

ros-ros (1.12.5-3) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 13:11:52 +0100

ros-ros (1.12.5-2) unstable; urgency=medium

  * Updated for multiarch catkin
  * Rename mk to ros-mk

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 07 Dec 2015 14:15:05 +0000

ros-ros (1.12.5-1) unstable; urgency=medium

  * Initial release. (Closes: #804921)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 18 Nov 2015 21:11:05 +0000
