## ros-ros 1.13.1

=== debian/changelog ===
ros-ros (1.13.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:49 +0000

ros-ros (1.13.1-1) unstable; urgency=medium

  * Imported Upstream version 1.13.1
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 17:02:26 +0200

ros-ros (1.12.5-5) unstable; urgency=medium

  * Add patch for rosrun nodelet nodelet

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 26 May 2016 15:15:23 +0200
