## ros-ros 1.13.4

=== debian/changelog ===
ros-ros (1.13.4-2) unstable; urgency=medium

  * Set priority to optional to make deb check happy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 18:16:17 +0100

ros-ros (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2016 10:02:34 +0200

ros-ros (1.13.3-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.13.3
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Sep 2016 21:39:35 +0200
