=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ros-ros
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
 	       python,
 	       catkin (>= 0.6.16-4),
@@ -17,10 +17,10 @@
 	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 	       dh-python,
 	       libpython-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-ros.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-ros.git
-Homepage: http://www.ros.org/wiki/ROS
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
+Homepage: http://wiki.ros.org/ROS
 
 Package: ros-mk
 Section: devel
