## ros-ros 1.14.1

=== debian/changelog ===
ros-ros (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Aug 2017 20:14:57 +0200

ros-ros (1.14.0-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * New upstream version 1.14.0
  * Update policy and debhelper versions
  * Rebase patches
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 16 Jul 2017 09:01:51 +0200
