=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	       python,
-	       catkin (>= 0.6.16-4),
+	       catkin,
 	       librospack-dev,
 	       libboost-program-options-dev,
 	       libboost-filesystem-dev,
 	       libboost-thread-dev,
 	       libgtest-dev,
-	       libtinyxml-dev,
+	       libtinyxml2-dev,
 	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 	       dh-python,
 	       libpython-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Homepage: http://wiki.ros.org/ROS
@@ -37,7 +37,7 @@
 Package: rosbuild
 Section: devel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python
+Depends: ${misc:Depends}, ${python:Depends}, python:any
 Multi-Arch: foreign
 Description: scripts for managing the Robot OS build system
  This package is part of Robot OS (ROS). Rosbuild solves the core
@@ -51,7 +51,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common meta-package for all Robot OS client libraries
+Description: Common metapackage for all Robot OS client libraries
  This package is part of Robot OS (ROS). It is mainly used to find
  client libraries (via 'rospack depends-on1 roslang'). The roslang
  package is only of interest to those implementing a ROS client
@@ -63,6 +63,7 @@
 Package: libroslib-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev
 Description: development files for roslib (Robot OS)
  This package is part of Robot OS (ROS). It provides the base
