=== core/roslib/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES roslib
+  CATKIN_DEPENDS rospack
   CFG_EXTRAS roslib-extras.cmake)
 
 find_package(Boost REQUIRED COMPONENTS thread)
