=== debian/changelog ===
ros-ros (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Oct 2017 10:19:00 +0200
