=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 	       dh-python,
 	       libpython-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Homepage: http://wiki.ros.org/ROS
