## ros-ros 1.14.4

=== debian/changelog ===
ros-ros (1.14.4-3build2) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:00:54 +0200

ros-ros (1.14.4-3build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:03:24 +0000

ros-ros (1.14.4-3) unstable; urgency=medium

  * Add old 10.ros.sh patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Jul 2018 00:03:28 +0200

ros-ros (1.14.4-2) unstable; urgency=medium

  * Add Python 3 packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 21:42:53 +0200

ros-ros (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * Bump policy version (no changes)
  * Rebase patches
  * Cleanup

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 14:02:17 +0200

ros-ros (1.14.3-2) unstable; urgency=medium

  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Apr 2018 22:49:19 +0200

ros-ros (1.14.3-1) unstable; urgency=medium

  * Add missing dependency
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.14.3
  * Rebase patches
  * Update policy and debhelper versions
  * Remove dependency on ros_environment

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Apr 2018 10:27:38 +0200
