=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-	       python,
+Build-Depends: debhelper (>= 11),
 	       catkin,
 	       librospack-dev,
 	       libboost-program-options-dev,
@@ -14,13 +13,14 @@
 	       libboost-thread-dev,
 	       libgtest-dev,
 	       libtinyxml2-dev,
-	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
+	       python-all, python3-all, python-setuptools,
 	       dh-python,
 	       libpython-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
-Homepage: http://wiki.ros.org/ROS
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
+Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/ROS
 
 Package: ros-mk
 Section: devel
@@ -90,18 +90,31 @@
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg, catkin
-Description: Python library for roslib (Robot OS)
+Description: Python 2 library for roslib (Robot OS)
  This package is part of Robot OS (ROS). It provides base dependencies
  and support libraries for ROS. roslib contains many of the common
  data structures and tools that are shared across ROS client library
  implementations.
  .
- This package contains the Python library.
+ This package contains the Python 2 library.
+
+Package: python3-roslib
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, catkin
+Description: Python 3 library for roslib (Robot OS)
+ This package is part of Robot OS (ROS). It provides base dependencies
+ and support libraries for ROS. roslib contains many of the common
+ data structures and tools that are shared across ROS client library
+ implementations.
+ .
+ This package contains the Python 3 library.
 
 Package: rosbash
 Section: utils
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, rospack-tools
 Recommends: bash-completion
 Multi-Arch: foreign
 Description: Assorted shell commands for using Robot OS with bash
@@ -118,59 +131,131 @@
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Contains scripts used by the Robot OS rosboost-cfg tool
+Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 2)
  This package is part of Robot OS (ROS). It is used for determining
  build flags (cflags/lflags/etc.) for boost on your system when you
  use it in a ROS environment.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosboost-cfg
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 3)
+ This package is part of Robot OS (ROS). It is used for determining
+ build flags (cflags/lflags/etc.) for boost on your system when you
+ use it in a ROS environment.
+ .
+ This package contains the Python 3 library.
 
 Package: python-rosclean
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: cleanup Robot OS filesystem resources (e.g. logs)
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg
+Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 2)
  This package is part of Robot OS (ROS). rosclean purge will remove
  directories associated with storing ROS-related log files. You will
  be asked to confirm each deletion and it is important that you verify
  the command that rosclean purge executes is correct.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosclean
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
+ This package is part of Robot OS (ROS). rosclean purge will remove
+ directories associated with storing ROS-related log files. You will
+ be asked to confirm each deletion and it is important that you verify
+ the command that rosclean purge executes is correct.
+ .
+ This package contains the Python 3 library.
 
 Package: python-roscreate
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Robot OS empty package template creator
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg, python-setuptools, python-roslib
+Description: Robot OS empty package template creator (Python 2)))))))))
  This package is part of Robot OS (ROS). It provides roscreate-pkg
  which creates empty ROS package templates and thus addresses the
  common problem of packages being created using pre-existing packages,
  which leads to errors in build files and manifests. The tool creates a
  new package directory, including the appropriate build and manifest
  files.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-roscreate
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, python3-setuptools, python3-roslib
+Description: Robot OS empty package template creator (Python 3)))))))))
+ This package is part of Robot OS (ROS). It provides roscreate-pkg
+ which creates empty ROS package templates and thus addresses the
+ common problem of packages being created using pre-existing packages,
+ which leads to errors in build files and manifests. The tool creates a
+ new package directory, including the appropriate build and manifest
+ files.
+ .
+ This package contains the Python 3 library.
 
 Package: python-rosmake
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: rosmake is a Robot OS dependency aware build tool
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg
+Description: rosmake is a Robot OS dependency aware build tool (Python 2)
  This package is part of Robot OS (ROS). rosmake is a tool to assist
  with building ROS packages. It facilitates building packages that
  have dependencies, allowing all dependencies to be built in the
  correct order.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosmake
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Description: rosmake is a Robot OS dependency aware build tool (Python 3)
+ This package is part of Robot OS (ROS). rosmake is a tool to assist
+ with building ROS packages. It facilitates building packages that
+ have dependencies, allowing all dependencies to be built in the
+ correct order.
+ .
+ This package contains the Python 3 library.
 
 Package: python-rosunit
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Unit-testing package for ROS
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg
+Description: Unit-testing package for ROS (Python 2)
  This package is part of Robot OS (ROS). python-rosunit is a
  lower-level library for rostest and handles unit tests, whereas
  rostest handles integration tests. It's an internal tool for running
  unit tests within ROS. While it can be run by a regular user, most
  users will generally use rosunit indirectly via rosbuild test macros.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosunit
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Description: Unit-testing package for ROS (Python 3)
+ This package is part of Robot OS (ROS). python3-rosunit is a
+ lower-level library for rostest and handles unit tests, whereas
+ rostest handles integration tests. It's an internal tool for running
+ unit tests within ROS. While it can be run by a regular user, most
+ users will generally use rosunit indirectly via rosbuild test macros.
+ .
+ This package contains the Python 3 library.
