## ros-ros 1.14.6

=== debian/changelog ===
ros-ros (1.14.6-2) unstable; urgency=medium

  * Add missing dependency to rosclean

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Aug 2019 09:07:02 +0200

ros-ros (1.14.6-1) unstable; urgency=medium

  * New upstream version 1.14.6
  * Add missing depends
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 01 Aug 2019 18:21:57 +0200

ros-ros (1.14.4-6) unstable; urgency=medium

  * Fix rosrun

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 15:52:28 +0100

ros-ros (1.14.4-5) unstable; urgency=medium

  * Remove env hooks and add a dependency to ros-environment

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 17 Oct 2018 23:13:22 +0200

ros-ros (1.14.4-4) unstable; urgency=medium

  * Remove wrong patch (superseded by 0008-chmod-x-on-Python-modules)
  * Adopt to new catkin
  * Bump policy version (no changes)
  * simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 07:53:54 +0200
