=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
-	       catkin,
+Build-Depends: debhelper-compat (= 12),
+	       catkin (>= 0.7.14-5),
 	       librospack-dev,
 	       libboost-program-options-dev,
 	       libboost-filesystem-dev,
@@ -16,7 +16,7 @@
 	       python-all, python3-all, python-setuptools,
 	       dh-python,
 	       libpython-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
 Rules-Requires-Root: no
@@ -25,7 +25,7 @@
 Package: ros-mk
 Section: devel
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, rospack-tools
 Multi-Arch: foreign
 Description: Robot OS make file helpers
  This package is part of Robot OS (ROS). It is a collection of make
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev
+Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev, ros-environment
 Description: development files for roslib (Robot OS)
  This package is part of Robot OS (ROS). It provides the base
  dependencies and support libraries for ROS. roslib contains many of
@@ -167,7 +167,7 @@
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, python3-distutils
 Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
  This package is part of Robot OS (ROS). rosclean purge will remove
  directories associated with storing ROS-related log files. You will
