## ros-ros 1.14.7

=== ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros)
find_package(catkin REQUIRED)
catkin_metapackage()
