=== tools/rosboost_cfg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosboost_cfg)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()
