=== debian/changelog ===
ros-ros (1.14.7-3build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:34:38 +0000

ros-ros (1.14.7-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:39 +0000

ros-ros (1.14.7-3) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938392)
  * Drop versioned dep on catkin (version is in stable)
  * [rosbash] depend on catkin for catkin_find
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:28:57 +0200

ros-ros (1.14.7-2) unstable; urgency=medium

  * python3-rosunit depends on python-rosunit for cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Oct 2019 16:20:49 +0200

ros-ros (1.14.7-1) unstable; urgency=medium

  * Update Python 3 dependency
  * New upstream version 1.14.7
  * Rebase patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 22:09:40 +0200
