## ros-ros 1.15.6

=== debian/changelog ===
ros-ros (1.15.6-1) unstable; urgency=medium

  * New upstream version 1.15.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Jul 2020 10:31:29 +0200

ros-ros (1.15.5-1) unstable; urgency=medium

  * New upstream version 1.15.5
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jul 2020 14:10:32 +0200

ros-ros (1.15.4-2) unstable; urgency=medium

  * Ignore rosfish in dh_missing as it is renamed by dh_exec

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 19:52:36 +0200

ros-ros (1.15.4-1) unstable; urgency=medium

  * New upstream version 1.15.4
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump policy and debhelper versions
  * Add rosfish patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 15:03:21 +0200
