=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ros-ros
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       catkin,
 	       librospack-dev,
 	       libboost-program-options-dev,
@@ -15,9 +13,10 @@
 	       libgtest-dev,
 	       libtinyxml2-dev,
 	       python3-all, python3-setuptools,
-	       dh-python,
-	       libpython3-dev
-Standards-Version: 4.4.1
+	       dh-sequence-python3,
+	       libpython3-dev,
+	       dh-exec,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
 Rules-Requires-Root: no
